# Uses of Interface
org.opensaml.saml.saml1.core.SubjectQuery

Packages that use SubjectQuery
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of SubjectQuery in org.opensaml.saml.saml1.core

Subinterfaces of SubjectQuery in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`AttributeQuery`
Description of the behaviour of the `AttributeQuery` element.
`interface`
`AuthenticationQuery`
Description of the behaviour of the `AuthenticationQuery` element.
`interface`
`AuthorizationDecisionQuery`
Description of the behaviour of the `AuthorizationDecisionQuery` element.
Methods in org.opensaml.saml.saml1.core that return SubjectQuery
Modifier and Type
Method
Description
`SubjectQuery`
Request.`getSubjectQuery()`
Get the request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.

## Uses of SubjectQuery in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement SubjectQuery
Modifier and Type
Class
Description
`class`
`AttributeQueryImpl`
Concrete implementation of the `AttributeQuery` interface.
`class`
`AuthenticationQueryImpl`
Concrete implementation of the `AuthenticationQuery` interface.
`class`
`AuthorizationDecisionQueryImpl`
Concrete implementation of the `AuthorizationDecisionQuery` interface.
`class`
`SubjectQueryImpl`
Abstract implementation of `SubjectQuery` type.
Methods in org.opensaml.saml.saml1.core.impl that return SubjectQuery
Modifier and Type
Method
Description
`SubjectQuery`
RequestImpl.`getSubjectQuery()`
Get the request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.